Ignore:
Timestamp:
Feb 25, 2011, 9:26:54 PM (14 years ago)
Author:
Bruno Cornec
Message:
  • Update mindi-busybox to 1.18.3 to avoid problems with the tar command which is now failing on recent versions with busybox 1.7.3
File:
1 edited

Legend:

Unmodified
Added
Removed
  • branches/2.2.9/mindi-busybox/shell/ash_test/run-all

    r1765 r2725  
    11#!/bin/sh
    22
    3 test -x ash || { echo "No ./ash?!"; exit; }
     3TOPDIR=$PWD
     4
     5test -x ash || {
     6    echo "No ./ash - creating a link to ../../busybox"
     7    ln -s ../../busybox ash
     8}
    49test -x printenv || gcc -O2 -o printenv printenv.c || exit $?
    510test -x recho    || gcc -O2 -o recho    recho.c    || exit $?
     
    1520{
    1621    test -d "$1" || return 0
     22#   echo do_test "$1"
     23    # $1 but with / replaced by # so that it can be used as filename part
     24    noslash=`echo "$1" | sed 's:/:#:g'`
    1725    (
    1826    cd "$1" || { echo "cannot cd $1!"; exit 1; }
     
    2432        #*) echo $x ; sh $x ;;
    2533        *)
    26         sh "$x" >"../$1-$x.fail" 2>&1 && \
    27         { echo "$1/$x: ok"; rm "../$1-$x.fail"; } || echo "$1/$x: fail";
     34        sh "$x" >"$TOPDIR/$noslash-$x.fail" 2>&1 && \
     35        { echo "$1/$x: ok"; rm "$TOPDIR/$noslash-$x.fail"; } || echo "$1/$x: fail";
    2836        ;;
    2937    esac
     
    3745    {
    3846        "$THIS_SH" "./$x" >"$name.xx" 2>&1
    39         diff -u "$name.xx" "$name.right" >"../$1-$x.fail" && rm -f "$name.xx" "../$1-$x.fail"
     47        diff -u "$name.xx" "$name.right" >"$TOPDIR/$noslash-$x.fail" \
     48        && rm -f "$name.xx" "$TOPDIR/$noslash-$x.fail"
    4049    } && echo "$1/$x: ok" || echo "$1/$x: fail"
    4150    done
     
    4958    # All sub directories
    5059    modules=`ls -d ash-*`
     60    # If you want to test ash against hush and msh testsuites
     61    # (have to copy hush_test and msh_test dirs to current dir first):
     62    #modules=`ls -d ash-* hush_test/hush-* msh_test/msh-*`
    5163
    5264    for module in $modules; do
Note: See TracChangeset for help on using the changeset viewer.